KDE 4.9 PyKDE API Reference

- KDE's Python API

# Document Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.Node
Subclasses: DOM.HTMLDocument
Namespace: DOM

## Detailed Description

The Document interface represents the entire HTML or XML document. Conceptually, it is the root of the document tree, and provides the primary access to the document's data.

Since elements, text nodes, comments, processing instructions, etc. cannot exist outside the context of a Document , the Document interface also contains the factory methods needed to create these objects. The Node objects created have a ownerDocument attribute which associates them with the Document within whose context they were created.

## Methods

| __init__ (self)
| __init__ (self, bool a0)
| __init__ (self, DOM.Document other)
| __init__ (self, DOM.Node other)
| abort (self)
| addStyleSheet (self, DOM.StyleSheet sheet)
bool | async (self)
DOM.DOMString | completeURL (self, DOM.DOMString url)
DOM.Attr | createAttribute (self, DOM.DOMString name)
DOM.Attr | createAttributeNS (self, DOM.DOMString namespaceURI, DOM.DOMString qualifiedName)
DOM.CDATASection | createCDATASection (self, DOM.DOMString data)
DOM.Comment | createComment (self, DOM.DOMString data)
DOM.DocumentFragment | createDocumentFragment (self)
DOM.Element | createElement (self, DOM.DOMString tagName)
DOM.Element | createElementNS (self, DOM.DOMString namespaceURI, DOM.DOMString qualifiedName)
DOM.EntityReference | createEntityReference (self, DOM.DOMString name)
DOM.Event | createEvent (self, DOM.DOMString eventType)
DOM.NodeIterator | createNodeIterator (self, DOM.Node root, long whatToShow, DOM.NodeFilter filter, bool entityReferenceExpansion)
DOM.ProcessingInstruction | createProcessingInstruction (self, DOM.DOMString target, DOM.DOMString data)
DOM.Range | createRange (self)
DOM.Text | createTextNode (self, DOM.DOMString data)
DOM.TreeWalker | createTreeWalker (self, DOM.Node root, long whatToShow, DOM.NodeFilter filter, bool entityReferenceExpansion)
DOM.AbstractView | defaultView (self)
bool | designMode (self)
DOM.DocumentType | doctype (self)
DOM.Element | documentElement (self)
bool | execCommand (self, DOM.DOMString command, bool userInterface, DOM.DOMString value)
DOM.Element | getElementById (self, DOM.DOMString elementId)
DOM.NodeList | getElementsByClassName (self, DOM.DOMString className)
DOM.NodeList | getElementsByTagName (self, DOM.DOMString tagname)
DOM.NodeList | getElementsByTagNameNS (self, DOM.DOMString namespaceURI, DOM.DOMString localName)
DOM.CSSStyleDeclaration | getOverrideStyle (self, DOM.Element elt, DOM.DOMString pseudoElt)
DOM.DOMImplementation | implementation (self)
DOM.Node | importNode (self, DOM.Node importedNode, bool deep)
bool | isHTMLDocument (self)
| load (self, DOM.DOMString uri)
| loadXML (self, DOM.DOMString source)
DOM.DOMString | preferredStylesheetSet (self)
bool | queryCommandEnabled (self, DOM.DOMString command)
bool | queryCommandIndeterm (self, DOM.DOMString command)
bool | queryCommandState (self, DOM.DOMString command)
bool | queryCommandSupported (self, DOM.DOMString command)
DOM.DOMString | queryCommandValue (self, DOM.DOMString command)
DOM.Element | querySelector (self, DOM.DOMString query)
DOM.NodeList | querySelectorAll (self, DOM.DOMString query)
| removeStyleSheet (self, DOM.StyleSheet sheet)
DOM.DOMString | selectedStylesheetSet (self)
| setAsync (self, bool a0)
| setDesignMode (self, bool enable)
| setSelectedStylesheetSet (self, DOM.DOMString aString)
DOM.StyleSheetList | styleSheets (self)
DOM.DOMString | toString (self)
| updateRendering (self)
KHTMLView | view (self)

## Method Documentation

__init__ | ( |  | self ) |

don't create an implementation if false use at own risk

__init__ | ( | self, |
|  | bool | a0
| ) |  |  |

don't create an implementation if false use at own risk

__init__ | ( | self, |
|  | DOM.Document | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

abort | ( |  | self ) |

Introduced in DOM Level 3 This method is from the DocumentLS interface

If the document is currently being loaded as a result of the method load being invoked the loading and parsing is immediately aborted. The possibly partial result of parsing the document is discarded and the document is cleared.

addStyleSheet | ( | self, |
|  | DOM.StyleSheet | sheet
| ) |  |  |

Adds a new style sheet to the list of style sheets.

The new style sheet will be applied after all author and implicit style sheets, but before the user style sheet.

Create new style sheets with e. g. DOMImplementation.createCSSStyleSheet

This is not part of the official DOM.

Parameters:

  | sheet | style sheet

DOMException

bool async | ( |  | self ) |

Introduced in DOM Level 3 This method is from the DocumentLS interface

Indicates whether the method DocumentLS.load() should be synchronous or asynchronous. When the async attribute is set to true the load method returns control to the caller before the document has completed loading. The default value of this attribute is true.

DOM.DOMString completeURL | ( | self, |
|  | DOM.DOMString | url
| ) |  |  |

not part of the DOM

completes a given URL

DOM.Attr createAttribute | ( | self, |
|  | DOM.DOMString | name
| ) |  |  |

Creates an Attr of the given name. Note that the Attr instance can then be set on an Element using the setAttribute method.

Parameters:

  | name | The name of the attribute.

Returns:
  A new Attr object.

DOMException INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

DOM.Attr createAttributeNS | ( | self, |
|  | DOM.DOMString | namespaceURI,
|  | DOM.DOMString | qualifiedName
| ) |  |  |

Introduced in DOM Level 2 Creates an attribute of the given qualified name and namespace URI. HTML-only DOM implementations do not need to implement this method.

Parameters:

  | namespaceURI | The namespace URI of the attribute to create.
  | qualifiedName | The qualified name of the attribute to instantiate.

Returns:
  A new Attr object with the following attributes: Node.nodeName - qualifiedName Node.namespaceURI - namespaceURI Node.prefix - prefix, extracted from qualifiedName, or null if there is no prefix Node.localName - local name, extracted from qualifiedName Attr.name - qualifiedName Node.nodeValue - the empty string

INVALID_CHARACTER_ERR Raised if the specified qualified name contains an illegal character.

NAMESPACE_ERR Raised if the qualifiedName is malformed, if the qualifiedName has a prefix and the namespaceURI is null, if the qualifiedName has a prefix that is "xml" and the namespaceURI is different from "http://www.w3.org/XML/1998/namespace", or if the qualifiedName is "xmlns" and the namespaceURI is different from "http://www.w3.org/2000/xmlns/".

DOM.CDATASection createCDATASection | ( | self, |
|  | DOM.DOMString | data
| ) |  |  |

Creates a CDATASection node whose value is the specified string.

Parameters:

  | data | The data for the CDATASection contents.

Returns:
  The new CDATASection object.

DOMException NOT_SUPPORTED_ERR: Raised if this document is an HTML document.

DOM.Comment createComment | ( | self, |
|  | DOM.DOMString | data
| ) |  |  |

Creates a Comment node given the specified string.

Parameters:

  | data | The data for the node.

Returns:
  The new Comment object.

DOM.DocumentFragment createDocumentFragment | ( |  | self ) |

Creates an empty DocumentFragment object.

Returns:
  A new DocumentFragment .

DOM.Element createElement | ( | self, |
|  | DOM.DOMString | tagName
| ) |  |  |

Creates an element of the type specified. Note that the instance returned implements the Element interface, so attributes can be specified directly on the returned object.

Parameters:

  | tagName | The name of the element type to instantiate. For XML, this is case-sensitive. For HTML, the tagName parameter may be provided in any case, but it must be mapped to the canonical uppercase form by the DOM implementation.

Returns:
  A new Element object.

DOMException INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

DOM.Element createElementNS | ( | self, |
|  | DOM.DOMString | namespaceURI,
|  | DOM.DOMString | qualifiedName
| ) |  |  |

Introduced in DOM Level 2 Creates an element of the given qualified name and namespace URI.

Parameters:

  | namespaceURI | The namespace URI of the element to create.
  | qualifiedName | The qualified name of the element type to instantiate.

Returns:
  A new Element object with the following attributes:

INVALID_CHARACTER_ERR Raised if the specified qualified name contains an illegal character.

NAMESPACE_ERR Raised if the qualifiedName is malformed, if the qualifiedName has a prefix and the namespaceURI is null, or if the qualifiedName has a prefix that is "xml" and the namespaceURI is different from "http://www.w3.org/XML/1998/namespace"

DOM.EntityReference createEntityReference | ( | self, |
|  | DOM.DOMString | name
| ) |  |  |

Creates an EntityReference object.

Parameters:

  | name | The name of the entity to reference.

Returns:
  The new EntityReference object.

DOMException INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

NOT_SUPPORTED_ERR: Raised if this document is an HTML document.

DOM.Event createEvent | ( | self, |
|  | DOM.DOMString | eventType
| ) |  |  |

Introduced in DOM Level 2 This method is from the DocumentEvent interface

The createEvent method is used in creating Events when it is either inconvenient or unnecessary for the user to create an Event themselves. In cases where the implementation provided Event is insufficient, users may supply their own Event implementations for use with the dispatchEvent method.

Parameters:

  eventType

  The eventType parameter specifies the type of Event interface to be created. If the Event interface specified is supported by the implementation this method will return a new Event of the interface type requested. If the Event is to be dispatched via the dispatchEvent method the appropriate event init method must be called after creation in order to initialize the Event's values. As an example, a user wishing to synthesize some kind of UIEvent would call createEvent with the parameter "UIEvents". The initUIEvent method could then be called on the newly created UIEvent to set the specific type of UIEvent to be dispatched and set its context information.

Returns:
  The newly created EventExceptions

DOMException NOT_SUPPORTED_ERR: Raised if the implementation does not support the type of Event interface requested

DOM.NodeIterator createNodeIterator | ( | self, |
|  | DOM.Node | root,
|  | long | whatToShow,
|  | DOM.NodeFilter | filter,
|  | bool | entityReferenceExpansion
| ) |  |  |

Introduced in DOM Level 2 This method is from the DocumentTraversal interface

Create a new NodeIterator over the subtree rooted at the specified node.

Parameters:

  | root | The node which will be iterated together with its children. The iterator is initially positioned just before this node. The whatToShow flags and the filter, if any, are not considered when setting this position. The root must not be null.
  | whatToShow | This flag specifies which node types may appear in the logical view of the tree presented by the iterator. See the description of NodeFilter for the set of possible SHOW_ values. These flags can be combined using OR.
  | filter | The NodeFilter to be used with this NodeIterator, or null to indicate no filter.
  | entityReferenceExpansion | The value of this flag determines whether entity reference nodes are expanded.

Returns:
  NodeIterator The newly created NodeIterator.

DOMException NOT_SUPPORTED_ERR: Raised if the specified root is null.

DOM.ProcessingInstruction createProcessingInstruction | ( | self, |
|  | DOM.DOMString | target,
|  | DOM.DOMString | data
| ) |  |  |

Creates a ProcessingInstruction node given the specified name and data strings.

Parameters:

  | target | The target part of the processing instruction.
  | data | The data for the node.

Returns:
  The new ProcessingInstruction object.

DOMException INVALID_CHARACTER_ERR: Raised if an invalid character is specified.

NOT_SUPPORTED_ERR: Raised if this document is an HTML document.

DOM.Range createRange | ( |  | self ) |

Introduced in DOM Level 2 This method is from the DocumentRange interface

Returns:
  Range The initial state of the Range returned from this method is such that both of its boundary-points are positioned at the beginning of the corresponding Document, before any content. The Range returned can only be used to select content associated with this Document, or with DocumentFragments and Attrs for which this Document is the ownerDocument.

DOM.Text createTextNode | ( | self, |
|  | DOM.DOMString | data
| ) |  |  |

Creates a Text node given the specified string.

Parameters:

  | data | The data for the node.

Returns:
  The new Text object.

DOM.TreeWalker createTreeWalker | ( | self, |
|  | DOM.Node | root,
|  | long | whatToShow,
|  | DOM.NodeFilter | filter,
|  | bool | entityReferenceExpansion
| ) |  |  |

Introduced in DOM Level 2 This method is from the DocumentTraversal interface

Create a new TreeWalker over the subtree rooted at the specified node.

Parameters:

  root

  The node which will serve as the root for the TreeWalker. The whatToShow flags and the NodeFilter are not considered when setting this value; any node type will be accepted as the root. The currentNode of the TreeWalker is initialized to this node, whether or not it is visible. The root functions as a stopping point for traversal methods that look upward in the document structure, such as parentNode and nextNode. The root must not be null.

  | whatToShow | This flag specifies which node types may appear in the logical view of the tree presented by the tree-walker. See the description of NodeFilter for the set of possible SHOW_ values. These flags can be combined using OR.
  | filter | The NodeFilter to be used with this TreeWalker, or null to indicate no filter.
  | entityReferenceExpansion | If this flag is false, the contents of EntityReference nodes are not presented in the logical view.

Returns:
  The newly created TreeWalker.

DOMException NOT_SUPPORTED_ERR: Raised if the specified root is null.

DOM.AbstractView defaultView | ( |  | self ) |

Introduced in DOM Level 2 This method is from the DocumentView interface

The default AbstractView for this Document, or null if none available.

bool designMode | ( |  | self ) |

not part of the official DOM

Documents are read-only by default, but they can be made editable by entering "design mode".

Returns:
  whether this document is in design mode.

DOM.DocumentType doctype | ( |  | self ) |

The Document Type Declaration (see DocumentType ) associated with this document. For HTML documents as well as XML documents without a document type declaration this returns null . The DOM Level 1 does not support editing the Document Type Declaration, therefore docType cannot be altered in any way.

DOM.Element documentElement | ( |  | self ) |

This is a convenience attribute that allows direct access to the child node that is the root element of the document. For HTML documents, this is the element with the tagName "HTML".

bool execCommand | ( | self, |
|  | DOM.DOMString | command,
|  | bool | userInterface,
|  | DOM.DOMString | value
| ) |  |  |

not part of the DOM

javascript editing command support

DOM.Element getElementById | ( | self, |
|  | DOM.DOMString | elementId
| ) |  |  |

Moved from HTMLDocument in DOM Level 2 Returns the Element whose id is given by elementId. If no such element exists, returns null . Behavior is not defined if more than one element has this id .

Parameters:

  | elementId | The unique id value for an element.

Returns:
  The matching element.

DOM.NodeList getElementsByClassName | ( | self, |
|  | DOM.DOMString | className
| ) |  |  |

Introduced in HTML 5. No Exceptions.

Returns a NodeList of all the Element 's with a given class name in the order in which they would be encountered in a preorder traversal of the Document tree.

Parameters:

  | tagname | An unordered set of unique space-separated tokens representing classes.

Returns:
  A new NodeList object containing all the matched Element s.

Since:
  4.1

DOM.NodeList getElementsByTagName | ( | self, |
|  | DOM.DOMString | tagname
| ) |  |  |

No Exceptions.

Returns a NodeList of all the Element 's with a given tag name in the order in which they would be encountered in a preorder traversal of the Document tree.

Parameters:

  | tagname | The name of the tag to match on. The special value "*" matches all tags.

Returns:
  A new NodeList object containing all the matched Element s.

DOM.NodeList getElementsByTagNameNS | ( | self, |
|  | DOM.DOMString | namespaceURI,
|  | DOM.DOMString | localName
| ) |  |  |

Introduced in DOM Level 2 No Exceptions

Returns a NodeList of all the Elements with a given local name and namespace URI in the order in which they are encountered in a preorder traversal of the Document tree.

Parameters:

  | namespaceURI | The namespace URI of the elements to match on. The special value "*" matches all namespaces.
  | localName | The local name of the elements to match on. The special value "*" matches all local names.

Returns:
  A new NodeList object containing all the matched Elements.

DOM.CSSStyleDeclaration getOverrideStyle | ( | self, |
|  | DOM.Element | elt,
|  | DOM.DOMString | pseudoElt
| ) |  |  |

Introduced in DOM Level 2 This method is from the DocumentCSS interface

This method is used to retrieve the override style declaration for a specified element and a specified pseudo-element.

Parameters:

  | elt | The element whose style is to be modified. This parameter cannot be null.
  | pseudoElt | The pseudo-element or null if none.

Returns:
  The override style declaration.

DOM.DOMImplementation implementation | ( |  | self ) |

The DOMImplementation object that handles this document. A DOM application may use objects from multiple implementations.

DOM.Node importNode | ( | self, |
|  | DOM.Node | importedNode,
|  | bool | deep
| ) |  |  |

Introduced in DOM Level 2

Imports a node from another document to this document. The returned node has no parent; (parentNode is null). The source node is not altered or removed from the original document; this method creates a new copy of the source node.

For all nodes, importing a node creates a node object owned by the importing document, with attribute values identical to the source node's nodeName and nodeType, plus the attributes related to namespaces (prefix, localName, and namespaceURI).

As in the cloneNode operation on a Node, the source node is not altered. Additional information is copied as appropriate to the nodeType, attempting to mirror the behavior expected if a fragment of XML or HTML source was copied from one document to another, recognizing that the two documents may have different DTDs in the XML case. The following list describes the specifics for each type of node.

ATTRIBUTE_NODE The ownerElement attribute is set to null and the specified flag is set to true on the generated Attr. The descendants of the source Attr are recursively imported and the resulting nodes reassembled to form the corresponding subtree. Note that the deep parameter has no effect on Attr nodes; they always carry their children with them when imported.

DOCUMENT_FRAGMENT_NODE If the deep option was set to true, the descendants of the source element are recursively imported and the resulting nodes reassembled to form the corresponding subtree. Otherwise, this simply generates an empty DocumentFragment.

DOCUMENT_NODE Document nodes cannot be imported.

DOCUMENT_TYPE_NODE DocumentType nodes cannot be imported.

ELEMENT_NODE Specified attribute nodes of the source element are imported, and the generated Attr nodes are attached to the generated Element. Default attributes are not copied, though if the document being imported into defines default attributes for this element name, those are assigned. If the importNode deep parameter was set to true, the descendants of the source element are recursively imported and the resulting nodes reassembled to form the corresponding subtree.

ENTITY_NODE Entity nodes can be imported, however in the current release of the DOM the DocumentType is readonly. Ability to add these imported nodes to a DocumentType will be considered for addition to a future release of the DOM. On import, the publicId, systemId, and notationName attributes are copied. If a deep import is requested, the descendants of the source Entity are recursively imported and the resulting nodes reassembled to form the corresponding subtree.

ENTITY_REFERENCE_NODE Only the EntityReference itself is copied, even if a deep import is requested, since the source and destination documents might have defined the entity differently. If the document being imported into provides a definition for this entity name, its value is assigned.

NOTATION_NODE Notation nodes can be imported, however in the current release of the DOM the DocumentType is readonly. Ability to add these imported nodes to a DocumentType will be considered for addition to a future release of the DOM. On import, the publicId and systemId attributes are copied. Note that the deep parameter has no effect on Notation nodes since they never have any children.

PROCESSING_INSTRUCTION_NODE The imported node copies its target and data values from those of the source node.

TEXT_NODE, CDATA_SECTION_NODE, COMMENT_NODE These three types of nodes inheriting from CharacterData copy their data and length attributes from those of the source node.

Parameters:

  | importedNode | The node to import.
  | deep | If true, recursively import the subtree under the specified node; if false, import only the node itself, as explained above. This has no effect on Attr, EntityReference, and Notation nodes.

Returns:
  The imported node that belongs to this Document.

DOMException NOT_SUPPORTED_ERR: Raised if the type of node being imported is not supported.

bool isHTMLDocument | ( |  | self ) |

Internal:
  not part of the DOM

load | ( | self, |
|  | DOM.DOMString | uri
| ) |  |  |

Introduced in DOM Level 3 This method is from the DocumentLS interface

Replaces the content of the document with the result of parsing the given URI. Invoking this method will either block the caller or return to the caller immediately depending on the value of the async attribute. Once the document is fully loaded a "load" event (as defined in [DOM Level 3 Events], except that the Event.targetNode will be the document, not an element) will be dispatched on the document. If an error occurs, an implementation dependent "error" event will be dispatched on the document. If this method is called on a document that is currently loading, the current load is interrupted and the new URI load is initiated.

When invoking this method the parameters used in the DOMParser interface are assumed to have their default values with the exception that the parameters "entities", "normalize-characters", "check-character-normalization" are set to "false".

The result of a call to this method is the same the result of a call to DOMParser.parseWithContext with an input stream referencing the URI that was passed to this call, the document as the context node, and the action ACTION_REPLACE_CHILDREN.

Parameters:

  | uri | of type DOMString The URI reference for the XML file to be loaded. If this is a relative URI, the base URI used by the implementation is implementation dependent.

Returns:
  If async is set to true load returns true if the document load was successfully initiated. If an error occurred when initiating the document load, load returns false. If async is set to false load returns true if the document was successfully loaded and parsed. If an error occurred when either loading or parsing the URI, load returns false.

loadXML | ( | self, |
|  | DOM.DOMString | source
| ) |  |  |

Introduced in DOM Level 3 This method is from the DocumentLS interface

Replace the content of the document with the result of parsing the input string, this method is always synchronous. This method always parses from a DOMString, which means the data is always UTF-16. All other encoding information is ignored.

The parameters used in the DOMParser interface are assumed to have their default values when invoking this method.

The result of a call to this method is the same as the result of a call to DOMParser.parseWithContext with an input stream containing the string passed to this call, the document as the context node, and the action ACTION_REPLACE_CHILDREN.

Parameters:

  | source | A string containing an XML document.

DOM.DOMString preferredStylesheetSet | ( |  | self ) |

CSS3 mechanism for selecting alternate stylesheets using the DOM. Might change without further notice.

bool queryCommandEnabled | ( | self, |
|  | DOM.DOMString | command
| ) |  |  |

bool queryCommandIndeterm | ( | self, |
|  | DOM.DOMString | command
| ) |  |  |

bool queryCommandState | ( | self, |
|  | DOM.DOMString | command
| ) |  |  |

bool queryCommandSupported | ( | self, |
|  | DOM.DOMString | command
| ) |  |  |

DOM.DOMString queryCommandValue | ( | self, |
|  | DOM.DOMString | command
| ) |  |  |

DOM.Element querySelector | ( | self, |
|  | DOM.DOMString | query
| ) |  |  |

Introduced in Selectors Level 1.

Returns the first (in document order) element matching the given CSS selector query.

Since:
  4.5

DOM.NodeList querySelectorAll | ( | self, |
|  | DOM.DOMString | query
| ) |  |  |

Introduced in Selectors Level 1.

Returns all (in document order) elements matching the given CSS selector query. Note that the returned NodeList is static and not live, and will not be updated when the document changes

Since:
  4.5

removeStyleSheet | ( | self, |
|  | DOM.StyleSheet | sheet
| ) |  |  |

Removes a style sheet to the list of style sheets.

Only sheets added by addStyleSheet may be removed.

This is not part of the official DOM.

Parameters:

  | sheet | style sheet to remove

DOMException NOT_FOUND_ERR sheet is not contained in the list of style sheets or it has not been added by addStyleSheet

DOM.DOMString selectedStylesheetSet | ( |  | self ) |

setAsync | ( | self, |
|  | bool | a0
| ) |  |  |

Introduced in DOM Level 3 This method is from the DocumentLS interface

see async

DOMException NOT_SUPPORTED_ERR: Raised if the implementation doesn't support the mode the attribute is being set to.

setDesignMode | ( | self, |
|  | bool | enable
| ) |  |  |

not part of the official DOM

Parameters:

  | enable | true to enable design mode, false to disable.

See also:
  designMode

setSelectedStylesheetSet | ( | self, |
|  | DOM.DOMString | aString
| ) |  |  |

DOM.StyleSheetList styleSheets | ( |  | self ) |

Introduced in DOM Level 2 This method is from the DocumentStyle interface

A list containing all the style sheets explicitly linked into or embedded in a document. For HTML documents, this includes external style sheets, included via the HTML LINK element, and inline STYLE elements. In XML, this includes external style sheets, included via style sheet processing instructions (see [XML-StyleSheet]).

DOM.DOMString toString | ( |  | self ) |

updateRendering | ( |  | self ) |

not part of the DOM

Updates the rendered display after one or more changes to the DOM structure

KHTMLView view | ( |  | self ) |

Returns:
  The KHTML view widget of this document.